-- MySQL dump 10.11
--
-- Host: localhost    Database: opmon
-- ------------------------------------------------------
-- Server version	5.0.45
CREATE DATABASE IF NOT EXISTS `seagull`;
USE `seagull`

CREATE TABLE `module` (
  `module_id` int(11) NOT NULL default '0',
  `is_configurable` smallint(1) default NULL,
  `name` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `description` text,
  `admin_uri` varchar(255) default NULL,
  `icon` varchar(255) default NULL,
  `maintainers` text,
  `version` varchar(8) default NULL,
  `license` varchar(16) default NULL,
  `state` varchar(8) default NULL,
  PRIMARY KEY  (`module_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

insert into module values( 412, 1, 'eventguard', 'Eventguard Module', 'Event correlation module', NULL, NULL, 'OpServices', NULL, 'OTHER', 'alpha');

CREATE DATABASE IF NOT EXISTS `opmon4`;
USE `opmon4`;

CREATE TABLE `eventguard_rules` (                                                                                                                                                                                                   
  `id` int(10) NOT NULL auto_increment,
  `rule` longblob NOT NULL,
  `epl` longblob NOT NULL,
  `acl` int NOT NULL default 0,
  `allmayview` int NOT NULL default 0,
  `active` int NOT NULL default 0,
  `description` text,
  `name` varchar(255) NOT NULL,
  `service` varchar(255),
  `host` varchar(255),
  `username` varchar(255), 
  `action_status` varchar(255),
  `action_message` varchar(255),
  `last_revision` datetime,
  `revision` int(10) NOT NULL default 0,
  `width` int,
  `height` int, 
  `service_id` varchar(255),
  `host_id` varchar(255), 
  PRIMARY KEY (id),
  INDEX(name(128)),
  INDEX(host_id),
  INDEX(service_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

